.TH "CM_EVENT_DATA" "3" "May 2003" "" "Red Hat Cluster Manager API Library"
.SH NAME
cm_ev_type, cm_ev_event, cm_ev_memberid, cm_memb_mask, cm_memb_view,
cm_quorum_mask, cm_quorum_mask_panic, cm_quorum_view
\- Cluster Event processing functions.
.SH SYNOPSIS
.nf
.B #include <clumanager/cm_api.h>
.B #include <stdint.h>
.sp
.BI "uint32_t cm_ev_type(cm_event_t *eventp);"
.BI "uint32_t cm_ev_event(cm_event_t *eventp);"
.BI "uint32_t cm_ev_memberid(cm_event_t *eventp);"
.sp
.BI "memb_mask_t cm_memb_mask(cm_event_t *eventp);"
.BI "uint64_t cm_memb_view(cm_event_t *eventp);"
.sp
.BI "uint64_t cm_quorum_view(cm_event_t *eventp);"
.BI "memb_mask_t cm_quorum_mask(cm_event_t *eventp);"
.BI "memb_mask_t cm_quorum_mask_panic(cm_event_t *eventp);"
.fi
.SH "RETURN VALUE"
The \fBcm_ev_type()\fP function returns the event type contained within an
\fBeventp\fP.  Returns \fBEC_MEMBERSHIP\fP for membership events and
\fBEC_QUORUM\fP for quorum events.
.LP
The \fBcm_ev_event()\fP function returns the event ID contained within
\fBeventp\fP.  See \fI/usr/include/cm_api.h\fP for a list of events returned.
The specific event type is based on the event type returned, but is
.B EV_MEMB_UPDATE
for membership events (\fBEC_MEMBERSHIP\fP) and one of
\fBEV_QUORUM_GAINED\fP, \fBEV_QUORUM_LOST\fP, \fBEV_QUORUM\fP,
\fBEV_NO_QUORUM\fP, or \fBEV_SHUTDOWN\fP for quorum events (\fBEC_QUORUM\fP).
All other values should be ignored.
.LP
The \fBcm_memb_mask()\fP function returns the membership mask contained
within a membership event.
.LP
The \fBcm_memb_view()\fP function returns the membership view number contained
within a membership event.
.LP
The \fBcm_quorum_mask()\fP function returns the membership mask contained
within a quorum event.
.LP
The \fBcm_quorum_mask_panic()\fP function returns the membership mask showing
the members whose states are uncertain from within a quorum event.
.LP
The \fBcm_quorum_view()\fP function returns the quorum view number contained
within a quorum event.
.SH NOTES
These functions may be implemented as macros.  Also, none of them perform 
bounds checking, nor error checking (for instance, it is possible to feed a 
quorum event to \fBcm_memb_mask()\fP).
.SH "SEE ALSO"
cm_event_io(3), cm_memb_mask(3)
